La versión de Ubuntu 18.04 y otras distribuciones de linux, algunas veces puede dar algún error PHP 7.2 y phpMyAdmin 4.6, y es aconsejable instalar la ultima versión manualmente.

1. Copia seguridad phpMyAdmin

Renombrar toda la carpeta donde esta instalado phpMyAdmin

Cremos una nueva carpeta phpMyAdmin

2. Descarga  phpMyAdmin

podemos ir a phpMyAdmin para comprobar cual es la ultima versión.

Descomprimimos

Tendremos una nueva carpeta phpMyAdmin-4.8.5-all-languages, movemos todo el contenido de esta a /usr/share/phpmyadmin/

Entramos en phpMyadmin y podremos comprobar que tenemos la ultimva versión.

3. Editar vendor_config.php

Si nos da el error $cfg[‘TempDir’] (./tmp/) is not accessible. phpMyAdmin is not able to cache templates and will be slow because of this

Editamos vendor_config.php

Cambiamos la lineas:

Ya podemos borrar los archivos de instalación.

print